package wxcard

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/wxcard"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /wx_card wxcard GetWxCardById
//
// Get wx card by ID | 通过ID获取WxCard
//
// Get wx card by ID | 通过ID获取WxCard
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: IDReq
//
// Responses:
//  200: WxCardInfoResp

func GetWxCardByIdHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.IDReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := wxcard.NewGetWxCardByIdLogic(r.Context(), svcCtx)
		resp, err := l.GetWxCardById(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
